@charset 'UTF-8';
/**
* common
**/
* {
  box-sizing: border-box;
  margin: 0;
}
html {
  block-size: 100%;
}
body {
  min-block-size: 100%;
  font-family: system-ui, sans-serif;
}
main {
  padding: 1rem;
  border: 1px solid;
  width: 90%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 80vh;
  overflow: scroll;
}
main > * {
  margin: 0 0 10px;
}
/**
* flex
**/
div[id*='content'] {
  width: 100%;
  border: 1px solid #c3c3c3;      
  display: flex;
}
#content {
  flex-direction: column-reverse;
}
#content1 {
  flex-direction: row-reverse;
}
#content2 {
  flex-direction: column
}
#content3 {
  flex-direction: row;
}
div[class*='box'] {
  width: 100%;
  height: 50px;
  text-align: center;
  line-height: 50px;
}
.red {
  background: red;
}
.blue {
  background: blue;
}
@media (min-width: 980px) {
  main {
    width: 50%;
    height: auto;
  }
}